<?php

class SucursalSystemClass {

  private $o_ParamBean;
  
  public function __construct($o_ParamBean){
    $this->o_ParamBean = $o_ParamBean;
  }
  
  private function getObjParamBean(){
    return $this->o_ParamBean;
  }
  
  public function insertSucursal(){
    
    $o_SucursalBL = new SucursalBL();
    return $o_SucursalBL->insertarSucursal($this->getObjParamBean());
    
  }
  
  public function insertUsuario($o_UsuarioBean){
    $o_UsuarioBL = new UsuarioBL();
    $o_UsuarioBL->insertarUsuario($o_UsuarioBean);
  }
   
  public function eliminarSucursal(){
    
    $o_SucursalBL = new SucursalBL();
    return $o_SucursalBL->eliminarSucursal($this->getObjParamBean());
    
  }
  
  public function actualizarSucursal(){
    
    $o_SucursalBL = new SucursalBL();
    return $o_SucursalBL->modificarSucursal($this->getObjParamBean());
    
  }
  
  public function getTipoSucursal(){
  
    $o_TipoSucursalBL = new TipoSucursalBL();
    return $o_TipoSucursalBL->busquedaTipoSucursal($this->getObjParamBean());
  
  }
  
  public function getSucursal(){
  
    $o_SucursalBL = new SucursalBL();
    return $o_SucursalBL->getSucursal($this->getObjParamBean());
  
  }
  
  public function getGrado(){
    $o_GradoBL = new GradoBL();
    return $o_GradoBL->busquedaGrado(new GradoBean());
    
  }
   public function getFacultad(){
    
    $o_FacultadBL = new FacultadBL();
    return $o_FacultadBL->getFacultad($this->getObjParamBean());
  }
  
  public function getEspecialidad(){
    
    $o_EspecialidadBL = new EspecialidadBL();
    return $o_EspecialidadBL->getEspecialidad($this->getObjParamBean());
  }
  
   public function modificarSucursal(){
    $o_SucursalBL = new SucursalBL();
    return $o_SucursalBL->modificarSucursal($this->getObjParamBean());
  }
  
  public function getColaborador(){
    $o_ColaboradorBL = new ColaboradorBL();
    return $o_ColaboradorBL->busquedaColaborador($this->getObjParamBean());
    
  }

}